Skip to main content
GET
/
workflows
List workflows
curl --request GET \
  --url https://api.mailrify.com/workflows \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "enabled": true,
      "triggerType": "EVENT",
      "triggerConfig": {},
      "allowReentry": true,
      "projectId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "pageSize": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
pageSize
integer
default:20

Items per page (max 100)

Required range: 1 <= x <= 100

Search by workflow name or description

Response

200 - application/json

Paginated workflows

data
object[]
total
integer
page
integer
pageSize
integer
totalPages
integer